apiVersion: v1
kind: Secret
metadata:
  name: mathmast-godaddy-api-key
  namespace: freeleaps-controls-system
type: Opaque
stringData:
  token: "dKYbNF2uUhRE_6zzJ6gDawfp3cenfzHswHG:Hj8i88547Mha83GfGvceSx"
---
apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: mathmast-dot-com
spec:
  acme:
    server: https://acme-v02.api.letsencrypt.org/directory
    email: acme@mathmast.com
    privateKeySecretRef:
      name: mathmast-dot-com-certs
    solvers:
      - selector:
          dnsZones:
            - mathmast.com
        dns01:
          webhook:
            config:
              apiKeySecretRef:
                name: mathmast-godaddy-api-key
                key: token
              production: true
              ttl: 600
            groupName: acme.mathmast.com
            solverName: godaddy
---
apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: freeleaps-dot-com
spec:
  acme:
    server: https://acme-v02.api.letsencrypt.org/directory
    email: acme@freeleaps.com
    privateKeySecretRef:
      name: freeleaps-dot-com-certs
    solvers:
      - selector:
          dnsZones:
            - freeleaps.com
        dns01:
          webhook:
            config:
              apiKeySecretRef:
                name: mathmast-godaddy-api-key
                key: token
              production: true
              ttl: 600
            groupName: acme.mathmast.com
            solverName: godaddy